function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["haveAuth", "accType", "tip", "statusDisabled", "createor", "oner", "adminOperation", "gap"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import { Button, Divider, Space } from 'antd';
import DisPlayButton from "../DisplayButton";
import React from 'react';
var AuthDividerButton = function AuthDividerButton(props) {
  var haveAuth = props.haveAuth,
    accType = props.accType,
    tip = props.tip,
    statusDisabled = props.statusDisabled,
    createor = props.createor,
    oner = props.oner,
    _props$adminOperation = props.adminOperation,
    adminOperation = _props$adminOperation === void 0 ? true : _props$adminOperation,
    _props$gap = props.gap,
    gap = _props$gap === void 0 ? true : _props$gap,
    btnProps = _objectWithoutProperties(props, _excluded);
  var inStyles = _objectSpread({
    padding: 0,
    fontSize: '12px'
  }, btnProps.style);
  if (haveAuth) {
    if (statusDisabled) {
      return /*#__PURE__*/React.createElement(Space, {
        align: "center",
        size: [0, 0]
      }, /*#__PURE__*/React.createElement(DisPlayButton, {
        text: btnProps.children,
        style: inStyles,
        tip: "\u5F53\u524D\u72B6\u6001\u4E0D\u53EF\u64CD\u4F5C"
      }), gap ? /*#__PURE__*/React.createElement(Divider, {
        type: "vertical"
      }) : null);
    }
    if (adminOperation) {
      return /*#__PURE__*/React.createElement(Space, {
        align: "center",
        size: [0, 0]
      }, /*#__PURE__*/React.createElement(Button, _extends({
        type: "link",
        size: "small"
      }, btnProps, {
        style: inStyles
      }), btnProps.children), gap ? /*#__PURE__*/React.createElement(Divider, {
        type: "vertical"
      }) : null);
    }
    if (oner) {
      return /*#__PURE__*/React.createElement(Space, {
        align: "center",
        size: [0, 0]
      }, /*#__PURE__*/React.createElement(Button, _extends({
        size: "small",
        type: "link"
      }, btnProps, {
        style: inStyles
      }), btnProps.children), gap ? /*#__PURE__*/React.createElement(Divider, {
        type: "vertical"
      }) : null);
    }
    if (createor) {
      return /*#__PURE__*/React.createElement(Space, {
        align: "center",
        size: [0, 0]
      }, /*#__PURE__*/React.createElement(Button, _extends({
        type: "link",
        size: "small"
      }, btnProps, {
        style: inStyles
      }), btnProps.children), gap ? /*#__PURE__*/React.createElement(Divider, {
        type: "vertical"
      }) : null);
    }
    return /*#__PURE__*/React.createElement(Space, {
      align: "center",
      size: [0, 0]
    }, /*#__PURE__*/React.createElement(DisPlayButton, {
      text: btnProps.children,
      style: inStyles,
      tip: tip ? tip : "只有创建者和组织管理员可以操作"
    }), gap ? /*#__PURE__*/React.createElement(Divider, {
      type: "vertical"
    }) : null);
  }
  return /*#__PURE__*/React.createElement(Space, {
    align: "center",
    size: [0, 0]
  }, /*#__PURE__*/React.createElement(DisPlayButton, {
    text: btnProps.children,
    style: inStyles,
    tip: "\u5F53\u524D\u7528\u6237\u65E0\u6743\u9650\uFF0C\u8BF7\u8054\u7CFB\u7BA1\u7406\u5458\u6DFB\u52A0\u6743\u9650"
  }), gap ? /*#__PURE__*/React.createElement(Divider, {
    type: "vertical"
  }) : null);
};
export default AuthDividerButton;